Package net.rubygrapefruit.platform

# Interface FileSystemInfo

All Known Implementing Classes:
  `DefaultFileSystemInfo`

public interface FileSystemInfo
Information about a file system. This is a snapshot view and does not change.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDeviceName()`
Returns the operating system specific name for this file system.
`String`
`getFileSystemType()`
Returns the operating system specific name for the type of this file system.
`File`
`getMountPoint()`
Returns the root directory of this file system.
`boolean`
`isCasePreserving()`
Returns true if this file system preserves file name case.
`boolean`
`isCaseSensitive()`
Returns true if this file system is performance case sensitive searches.
`boolean`
`isRemote()`
Returns true if this file system is a remote file system, or false if local.

## Method Details

### getMountPoint

File getMountPoint()
Returns the root directory of this file system.

### getFileSystemType

String getFileSystemType()
Returns the operating system specific name for the type of this file system.

### isRemote

boolean isRemote()
Returns true if this file system is a remote file system, or false if local.

### isCaseSensitive

boolean isCaseSensitive()
Returns true if this file system is performance case sensitive searches.

### isCasePreserving

boolean isCasePreserving()
Returns true if this file system preserves file name case.

### getDeviceName

String getDeviceName()
Returns the operating system specific name for this file system.